package blacklinen.msf.jeasyzip.gui;

import java.awt.BorderLayout;

import javax.swing.JButton;
import javax.swing.JFrame;

import blacklinen.msf.jeasyzip.JEasyZipController;

@SuppressWarnings("serial")
public class JEasyZipWindow extends JFrame
{
    protected JEasyZipController cont;
    protected JEasyZipFileList list;
    protected CompressButton comp;
    
    public JEasyZipWindow(JEasyZipController cont)
    {
	super();
	this.cont = cont;
	this.list = new JEasyZipFileList(this);
	this.comp = new CompressButton(this);
	this.cerateGUI();
    }
    
    protected void cerateGUI()
    {
	super.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	super.setTitle("JEasyZip 1.0");
	super.setLocationByPlatform(true);
	super.setSize(400, 450);
	super.setLayout(new BorderLayout());
	super.add(this.list, BorderLayout.CENTER);
	super.add(this.comp, BorderLayout.SOUTH);
	super.setVisible(true);
    }
    
    public JEasyZipController getController()
    {
	return this.cont;
    }

    public JButton getCompressButton()
    {
	return this.comp;
    }

    public JEasyZipController getParentController()
    {
	return this.cont;
    }
}
