package blacklinen.msf.jeasyzip.io;

import java.io.File;

public class FileElement
{
    protected File f;
    protected String entryName;
    
    public FileElement(File f)
    {
	this.f = new File(f.getAbsolutePath());
	this.entryName = this.f.getName();
    }
    
    public FileElement(File f, File dir)
    {
	this.f = new File(f.getAbsolutePath());
	this.entryName = new String(f.getPath().substring(dir.getPath().length()-dir.getName().length()));
    }
    
    public String getEntryName()
    {
	return this.entryName;
    }
    
    public File getRealFile()
    {
	return this.f;
    }
}
