package blacklinen.msf.jeasyzip.io;

import java.io.File;
import java.util.ArrayList;


@SuppressWarnings("serial")
public class FileStore extends ArrayList<FileElement>
{
    protected File dir;
    
    public FileStore()
    {
	super();
    }
    
    public void addFile(File file)
    {
	if(file.isFile())
	    super.add(new FileElement(file));
	else
	{
	   this.dir = file;
	   this.addDirectory(file);
	}
    }
    
    protected void addDirectory(File file)
    {
	for(File f : file.listFiles())
	{
	    if(f.isFile())
		super.add(new FileElement(f, dir));
	    else
		this.addDirectory(f);
	}
    }
    
    public FileElement[] getFileElementArray()
    {
	return super.toArray(new FileElement[0]);
    }
}
