package blacklinen.msf.jeasyzip.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFileChooser;

@SuppressWarnings("serial")
public class CompressButton extends JButton implements ActionListener
{
    protected JEasyZipWindow cont;
    
    public CompressButton(JEasyZipWindow cont)
    {
	super("Compress");
	super.addActionListener(this);
	this.cont = cont;
    }

    @Override
    public void actionPerformed(ActionEvent arg0)
    {
	if(this.cont.getParentController().getStore().size() > 0)
	{
	    this.setEnabled(false);
	    JFileChooser chooser = new JFileChooser();
	    int result = chooser.showSaveDialog(cont);
	    if(result == JFileChooser.APPROVE_OPTION)
		this.cont.getController().compress(chooser.getSelectedFile().getPath());
	    else
		this.setEnabled(true);
	}
    }    
}
