package blacklinen.msf.jeasyzip.gui;

import javax.swing.DefaultListModel;
import javax.swing.JList;

@SuppressWarnings("serial")
public class JEasyZipFileList extends JList
{
    protected JEasyZipWindow cont;
    protected DefaultListModel model;
    protected FileTransfer trans;
    
    public JEasyZipFileList(JEasyZipWindow cont)
    {
	super();
	this.cont = cont;
	this.model = new DefaultListModel();
	super.setModel(this.model);
	this.trans = new FileTransfer(this.cont.getController());
	super.setTransferHandler(this.trans);
    }
    
    public void add(String str)
    {
	this.model.addElement(str);
	super.updateUI();
    }
}
